
Imports System.Reflection
Imports System.Globalization

Public Class frmKundenUebersichtZollRgDetails
    Dim RK_ID As Integer = -1
    Dim SQL As New SQL


    Dim filialeTmp As String
    Dim abfertigungsNrTmp As String

    Sub New(RK_ID)
        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        Me.RK_ID = RK_ID
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub
    Private Sub frmKundenUebersichtZollRg_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim dt As DataRow = SQL.loadDgvBySql("SELECT *, /*[SteuerpflichtigerGesamtbetrag]*[Steuersatz %]*/ SteuerpflichtigerGesamtbetrag/(1+[Steuersatz %])*[Steuersatz %] as ErgSteuerbetrag , [SteuerpflichtigerGesamtbetrag]+[SteuerfreierGesamtbetrag] as RgBetrag FROM Rechnungsausgang WHERE RK_ID = " & RK_ID & "", "FMZOLL").Rows(0)

        lblRgNr.Text = dt("RechnungsNr").ToString
        lblRgBetrag.Text = CDbl(dt("RgBetrag")).ToString("N2", CultureInfo.CurrentCulture)
        lblRgDat.Text = dt("RechnungsDatum").ToString
        lblKunde.Text = dt("RechnungsName 1").ToString
        lblKdNr.Text = dt("RechnungsKundenNr").ToString
        lblOrt.Text = dt("RechnungsOrt").ToString
        lblUID.Text = dt("RechnungsUstIdKz").ToString & " " & dt("RechnungsUstIdNr").ToString
        lblSteuerbetrag.Text = CDbl(dt("ErgSteuerbetrag")).ToString("N2", CultureInfo.CurrentCulture)
        lblAbfDat.Text = dt("Abfertigungsdatum").ToString

        lblAbfNr.Text = dt("FilialenNr").ToString & " " & dt("AbfertigungsNr").ToString
        filialeTmp = dt("FilialenNr").ToString
        abfertigungsNrTmp = dt("AbfertigungsNr").ToString

        lblSteuersatz.Text = (CDbl(dt("Steuersatz %")) * 100).ToString("N2", CultureInfo.CurrentCulture)
        cbxLastschrift.Checked = CBool(dt("Lastschrift").ToString)
        lblBelegartNr.Text = dt("BelegartenNr").ToString
        lblWaerung.Text = dt("Währungscode").ToString

        If RK_ID > 0 Then initDGV()
    End Sub
    Sub initDGV()

        With DataGridView
            .Columns.Clear()
            .DataSource = SQL.loadDgvBySql("SELECT LeistungsNr, [Steuerpflichtig], Anzahl ,[LeistungsBez],Preis as Einzelpreis, ([SteuerpflichtigerBetrag]+[SteuerfreierBetrag]) AS Betrag " &
                                                " FROM RechnungsausgangPositionen " &
                                          " WHERE RK_ID = " & RK_ID & "", "FMZOLL")
            '  " ORDER BY Rechnungsausgang.RechnungsDatum DESC , Rechnungsausgang.RechnungsNr, Rechnungsausgang.Abfertigungsdatum DESC , Rechnungsausgang.FilialenNr, Rechnungsausgang.AbfertigungsNr, Rechnungsausgang.UnterNr ", "FMZOLL")

            .Columns("LeistungsNr").Width = 85
            .Columns("LeistungsNr").HeaderText = "LeistungsNr"
            .Columns("LeistungsNr").DefaultCellStyle.Alignment = DataGridViewContentAlignment.TopCenter

            .Columns("Steuerpflichtig").Width = 60
            .Columns("Steuerpflichtig").HeaderText = "Steuerpfl."
            .Columns("Steuerpflichtig").DefaultCellStyle.Alignment = DataGridViewContentAlignment.TopCenter

            .Columns("Anzahl").Width = 50

            .Columns("LeistungsBez").MinimumWidth = 150
            .Columns("LeistungsBez").HeaderText = "LeistungsNr"
            .Columns("LeistungsBez").AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill

            .Columns("Einzelpreis").Width = 80
            .Columns("Einzelpreis").DefaultCellStyle.Format = "N2"
            .Columns("Einzelpreis").DefaultCellStyle.Alignment = DataGridViewContentAlignment.TopRight

            .Columns("Betrag").Width = 100
            .Columns("Betrag").HeaderText = "Betrag"
            .Columns("Betrag").DefaultCellStyle.Format = "N2"
            .Columns("Betrag").DefaultCellStyle.Alignment = DataGridViewContentAlignment.TopRight


        End With


    End Sub

    Private Sub pnl_Paint(sender As Object, e As PaintEventArgs) Handles pnl.Paint

    End Sub

    Private Sub Button15_Click(sender As Object, e As EventArgs) Handles Button15.Click
        Select Case VERAG_PROG_ALLGEMEIN.cAllgemein.FIRMA
            Case "ATILLA" : Exit Sub
            Case "IMEX" 'Imex nur mit Berechtigungsgruppe FAKTURIERUNG im SDL
                If Not VERAG_PROG_ALLGEMEIN.cBerechtignunen.CHECK_BERECHTIGUNG_bool("FAKTURIERUNG", "SDL") Then
                    Exit Sub
                End If
        End Select
        Try

            If DataGridView.SelectedRows.Count = 0 Then Exit Sub
            If Not IsNumeric(filialeTmp) Then Exit Sub
            If Not IsNumeric(abfertigungsNrTmp) Then Exit Sub
            cProgramFunctions.openThereforeNavigator(filialeTmp.ToString & abfertigungsNrTmp.ToString, filialeTmp)
        Catch ex As Exception
            MsgBox("Fehler beim Öffnen!" & vbNewLine & ex.Message & ex.StackTrace)
        End Try
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        'cFakturierung.doRechnungsDruck(RK_ID,, True, 3)
        cFakturierung.doRechnungsDruck_SRorER(RK_ID,, False, 3)
    End Sub
End Class